[![website](https://img.shields.io/badge/Repackers-_Website-blue)](https://rimmyscorner.com/)

# IW4: SP Client

This is a client modification for IW4 (Singleplayer) 159
**NOTE**: You must legally own Call of Duty®: Modern Warfare® 2 (2009) to run this mod. Cracked/Pirated versions of the game are **NOT** supported.

## How to compile

- Run `premake5 vs2022` or use the delivered `generate.bat`.
- Build via solution file in `build\iw4-sp.sln`.

## Premake arguments

| Argument                    | Description                                    |
|:----------------------------|:-----------------------------------------------|
| `--copy-to=PATH`            | Optional, copy the exe to a custom folder after build. |

## Command line arguments

| Argument                | Description                                    |
|:------------------------|:-----------------------------------------------|
| `-nosteam`              | Disable Steam integration.                     |

## Disclaimer

This software has been created purely for the purposes of academic research. It is not intended to be used to attack other systems. Project maintainers are not responsible or liable for misuse of the software. Use responsibly.
